aboutsummaryrefslogtreecommitdiff
path: root/chownme
diff options
context:
space:
mode:
authorSilvio Rhatto <rhatto@riseup.net>2024-08-20 20:42:16 -0300
committerSilvio Rhatto <rhatto@riseup.net>2024-08-20 20:42:16 -0300
commitd50c3847192acbb3a5be68b67320fd1819fa81fb (patch)
treeaaa338f51b4ae09c18a5980d5952232d3bf51678 /chownme
downloadutils-cli-d50c3847192acbb3a5be68b67320fd1819fa81fb.tar.gz
utils-cli-d50c3847192acbb3a5be68b67320fd1819fa81fb.tar.bz2
Initial import
Diffstat (limited to 'chownme')
-rwxr-xr-xchownme18
1 files changed, 18 insertions, 0 deletions
diff --git a/chownme b/chownme
new file mode 100755
index 0000000..4a37e90
--- /dev/null
+++ b/chownme
@@ -0,0 +1,18 @@
+#!/bin/bash
+#
+# Chown a destination to the current user.
+#
+
+# Parameters
+BASENAME="`basename $0`"
+DEST="$*"
+ME="$(whoami)"
+
+# Check
+if [ -z "$1" ]; then
+ echo "usage: $BASENAME <dest>"
+ exit 1
+fi
+
+# Proceed
+sudo chown -R $ME. "$DEST"